FENCE_AGENT(8)

NAME
fence_gce - Fence agent for GCE (Google Cloud Engine)

DESCRIPTION

fence_gce is a Power Fencing agent for GCE (Google Cloud Engine). It uses the googleapiclient library to connect to GCE. googleapiclient can be configured with Google SDK CLI or by executing 'gcloud auth application-default login'. For instructions see: https://cloud.google.com/compute/docs/tutorials/python-guide

The fence agent accepts options on the command line as well as from stdin. Fenced sends parameters through stdin when it execs the agent. The agent can be run by itself with command line options. This is useful for testing and for turning outlets on or off from scripts.

Vendor URL: http://cloud.google.com

PARAMETERS

-o, --action=[action]
    Fencing action (Default Value: reboot)

-m, --method=[method]
    Method to fence (onoff|cycle) (Default Value: cycle)

-n, --plug=[id]
    Physical plug number on device, UUID or identification of machine This parameter is always required.

--zone=[name]
    Zone.

--project=[name]
    Project ID.

--stackdriver-logging
    Stackdriver-logging support.

--baremetalsolution
    If enabled this is a bare metal offering from google.

--apitimeout=[seconds]
    Timeout in seconds to use for API calls, default is 60. (Default Value: 60)

--retries=[retries]
    Number of retries on failure for API calls, default is 3. (Default Value: 3)

--retrysleep=[seconds]
    Time to sleep in seconds between API retries, default is 5. (Default Value: 5)

--serviceaccount=[filename]
    Service Account to use for authentication to the google cloud APIs.

--plugzonemap=[plugzonemap]
    Comma separated zone map when fencing multiple plugs.

--proxyhost=[proxy_host]
    If a proxy is used for internet access, the proxy host should be specified.

--proxyport=[proxy_port]
    If a proxy is used for internet access, the proxy port should be specified.

--earlyexit
    If an existing reset operation is detected, the fence agent will return before the operation completes with a 0 return code.

--warntimeout=[warn_timeout]
    If the operation is not completed within the timeout, the cluster operations are allowed to continue.

--errortimeout=[error_timeout]
    If the operation is not completed within the timeout, cluster is notified of the operation failure.

--runonwarn=[run_on_warn]
    If a timeout would occur while running the agent, then the supplied command is run.

--runonfail=[run_on_fail]
    If a failure would occur while running the agent, then the supplied command is run.

-q, --quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

-v, --verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

--verbose-level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

-D, --debug-file=[debugfile]
    Write debug information to given file

-V, --version
    Display version information and exit

-h, --help
    Display help and exit

--plug-separator=[char]
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

-C, --separator=[char]
    Separator for CSV created by 'list' operation (Default Value: ,)

--delay=[seconds]
    Wait X seconds before fencing is started (Default Value: 0)

--disable-timeout=[true/false]
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

--login-timeout=[seconds]
    Wait X seconds for cmd prompt after login (Default Value: 5)

--power-timeout=[seconds]
    Test X seconds for status change after ON/OFF (Default Value: 60)

--power-wait=[seconds]
    Wait X seconds after issuing ON/OFF (Default Value: 0)

--shell-timeout=[seconds]
    Wait X seconds for cmd prompt after issuing command (Default Value: 3)

--stonith-status-sleep=[seconds]
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

--retry-on=[attempts]
    Count of attempts to retry power on (Default Value: 1)

ACTIONS

on  Power on machine.

off Power off machine.

reboot
    Reboot machine.

status
    This returns the status of the plug/virtual machine.

list
    List available plugs with aliases/virtual machines if there is support for more then one device. Returns N/A otherwise.

list-status
    List available plugs with aliases/virtual machines and their power state if it can be obtained without additional commands.

monitor
    Check the health of fence device

metadata
    Display the XML metadata describing this resource.

manpage
     The operational behavior of this is not known.

validate-all
    Validate if all required parameters are entered.

STDIN PARAMETERS

action
    Fencing action (Default Value: reboot)

method
    Method to fence (onoff|cycle) (Default Value: cycle)

plug
    Physical plug number on device, UUID or identification of machine This parameter is always required. Obsoletes: port

zone
    Zone.

project
    Project ID.

stackdriver_logging
    Stackdriver-logging support. Obsoletes: stackdriver-logging

baremetalsolution
    If enabled this is a bare metal offering from google.

apitimeout
    Timeout in seconds to use for API calls, default is 60. (Default Value: 60)

retries
    Number of retries on failure for API calls, default is 3. (Default Value: 3)

retrysleep
    Time to sleep in seconds between API retries, default is 5. (Default Value: 5)

serviceaccount
    Service Account to use for authentication to the google cloud APIs.

plugzonemap
    Comma separated zone map when fencing multiple plugs.

proxyhost
    If a proxy is used for internet access, the proxy host should be specified.

proxyport
    If a proxy is used for internet access, the proxy port should be specified.

earlyexit
    If an existing reset operation is detected, the fence agent will return before the operation completes with a 0 return code.

warntimeout
    If the operation is not completed within the timeout, the cluster operations are allowed to continue.

errortimeout
    If the operation is not completed within the timeout, cluster is notified of the operation failure.

runonwarn
    If a timeout would occur while running the agent, then the supplied command is run.

runonfail
    If a failure would occur while running the agent, then the supplied command is run.

quiet
    Disable logging to stderr. Does not affect --verbose or --debug-file or logging to syslog.

verbose
    Verbose mode. Multiple -v flags can be stacked on the command line (e.g., -vvv) to increase verbosity.

verbose_level
    Level of debugging detail in output. Defaults to the number of --verbose flags specified on the command line, or to 1 if verbose=1 in a stonith device configuration (i.e., on stdin).

debug_file
    Write debug information to given file Obsoletes: debug

version
    Display version information and exit

help
    Display help and exit

plug_separator
    Separator for plug parameter when specifying more than 1 plug (Default Value: ,)

separator
    Separator for CSV created by 'list' operation (Default Value: ,)

delay
    Wait X seconds before fencing is started (Default Value: 0)

disable_timeout
    Disable timeout (true/false) (default: true when run from Pacemaker 2.0+)

login_timeout
    Wait X seconds for cmd prompt after login (Default Value: 5)

power_timeout
    Test X seconds for status change after ON/OFF (Default Value: 60)

power_wait
    Wait X seconds after issuing ON/OFF (Default Value: 0)

shell_timeout
    Wait X seconds for cmd prompt after issuing command (Default Value: 3)

stonith_status_sleep
    Sleep X seconds between status calls during a STONITH action (Default Value: 1)

retry_on
    Count of attempts to retry power on (Default Value: 1)